## git-cola 1.3.4.4

=== Makefile ===
prefix	?= $(HOME)
DESTDIR	?= /
PYTHON	?= python

all:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install --prefix=$(prefix) --root=$(DESTDIR) --force
	cd $(DESTDIR)$(prefix)/bin && rm -f cola && ln -s git-cola cola

doc:
	cd share/doc/cola && $(MAKE) all

install-doc:
	$(MAKE) -C share/doc/cola install

install-html:
	$(MAKE) -C share/doc/cola install-html

uninstall:
	rm -rf  "$(DESTDIR)$(prefix)"/bin/git-cola \
		"$(DESTDIR)$(prefix)"/bin/git-difftool \
		"$(DESTDIR)$(prefix)"/bin/cola \
		"$(DESTDIR)$(prefix)"/share/doc/cola \
		"$(DESTDIR)$(prefix)"/share/cola \
		"$(DESTDIR)$(prefix)"/share/applications/cola.desktop \
		"$(DESTDIR)$(prefix)"/lib/python2.*/site-packages/cola \
		"$(DESTDIR)$(prefix)"/lib/python2.*/site-packages/cola-*

test:
	@env PYTHONPATH=$(CURDIR):$(CURDIR)/build/lib:$(PYTHONPATH) nosetests

clean:
	for dir in share/doc/cola test; do \
		(cd $$dir && $(MAKE) clean); \
	done
	find cola -name '*.py[co]' -print0 | xargs -0 rm -f
	find cola/gui -name '[^_]*.py' -print0 | xargs -0 rm -f
	find share -name '*.qm' -print0 | xargs -0 rm -f
	rm -rf build tmp
	rm -f tags

tags:
	ctags -R cola/*.py cola/views/*.py cola/controllers/*.py

.PHONY: all install doc install-doc install-html test clean

## git-cola 1.3.5

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 install:
 	$(PYTHON) setup.py install --prefix=$(prefix) --root=$(DESTDIR) --force
-	cd $(DESTDIR)$(prefix)/bin && rm -f cola && ln -s git-cola cola
+	cd $(DESTDIR)$(prefix)/bin && ((! test -e cola && ln -s git-cola cola) || true)
 
 doc:
 	cd share/doc/cola && $(MAKE) all

=== share/doc/cola/Makefile ===
MAN1_TXT=$(wildcard *.txt)

DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT))

ARTICLES = 

# with their own formatting rules.
SP_ARTICLES =

DOC_HTML += $(patsubst %,%.html,$(ARTICLES) $(SP_ARTICLES))
DOC_PDF += $(patsubst %,%.pdf,$(ARTICLES) $(SP_ARTICLES))

DOC_MAN1=$(patsubst %.txt,%.1,$(MAN1_TXT))

prefix?=$(HOME)
htmldir?=$(prefix)/share/doc/cola
mandir?=$(prefix)/share/man
man1dir=$(mandir)/man1
# DESTDIR=

ASCIIDOC=asciidoc --unsafe
ASCIIDOC_EXTRA =
INSTALL?=install

#
# Please note that there is a minor bug in asciidoc.
# The version after 6.0.3 _will_ include the patch found here:
#   http://marc.theaimsgroup.com/?l=git&m=111558757202243&w=2
#
# Until that version is released you may have to apply the patch
# yourself - yes, all 6 characters of it!
#

all: html man

html: $(DOC_HTML)
pdf: $(DOC_PDF)

$(DOC_HTML) $(DOC_MAN1): asciidoc.conf

man: man1
man1: $(DOC_MAN1)
install: man
	$(INSTALL) -d -m755 $(DESTDIR)$(man1dir)
	$(INSTALL) -m644 $(DOC_MAN1) $(DESTDIR)$(man1dir)

install-html: html
	$(INSTALL) -d -m755 $(DESTDIR)$(htmldir)
	$(INSTALL) -m644 $(DOC_HTML) $(DESTDIR)$(htmldir)
#
# Determine "include::" file references in asciidoc files.
#
doc.dep : $(wildcard *.txt) build-docdep.perl
	rm -f $@+ $@
	perl ./build-docdep.perl >$@+
	mv $@+ $@

-include doc.dep

clean:
	rm -f *.xml *.html *.pdf *.1 doc.dep

%.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d manpage -f asciidoc.conf $(ASCIIDOC_EXTRA) $<

%.1 : %.xml
	xmlto -m callouts.xsl man $<

%.xml : %.txt
	$(ASCIIDOC) -b docbook -d manpage -f asciidoc.conf $<

%.pdf: %.xml
	xmlto pdf $<

# special formatting rules
## tutorial.html : %.html : %.txt
## 	$(ASCIIDOC) -b xhtml11 -d article -f tutorial.conf $(ASCIIDOC_EXTRA) $<
## tutorial.xml : %.xml : %.txt
## 	$(ASCIIDOC) -b docbook -d article -f tutorial.conf $<

## git-cola 1.3.8

=== share/doc/git-cola/Makefile ===
prefix ?= $(CURDIR)
DESTDIR ?= /
docdir ?= $(DESTDIR)$(prefix)/share/doc/git-cola
htmldir ?= $(docdir)/html
RSYNC ?= rsync
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/git-cola.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/git-cola.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

all: html
	$(MAKE) -f Makefile.asciidoc all

install: install-html install-man
	cp git-cola.txt $(docdir)

install-html: html
	test  -d $(htmldir) || mkdir -p $(htmldir)
	$(RSYNC) -ar --progress _build/html/ $(htmldir)/
	$(MAKE) -f Makefile.asciidoc install-html

install-man:
	$(MAKE) -f Makefile.asciidoc install

## git-cola 1.4.1.2

=== Makefile ===
prefix	?= $(HOME)
PYTHON	?= python
PYTHON_VER	?= $(shell $(PYTHON) -c 'import platform; print platform.python_version()[:3]')
PYTHON_SITE	?= $(DESTDIR)$(prefix)/lib/python$(PYTHON_VER)/site-packages
COLA_VERSION	?= $(shell git describe --match='v*.*' | sed -e s/v//)
APP	?= git-cola.app
APPZIP	?= $(shell darwin/name-tarball.py)
TAR	?= tar

# User customizations
-include config.mak

ifneq ($(standalone),)
standalone_args	?= --standalone
endif

all:
	$(PYTHON) setup.py build

darwin: all
	$(PYTHON) darwin/py2app-setup.py py2app

$(APP): darwin
	rm -rf $(APP)
	mv dist/$(APP) $(CURDIR)
	find $(APP) -name '*_debug*' | xargs rm -f
	tar cjf $(APPZIP) $(APP)

install:
	$(PYTHON) setup.py --quiet install \
		$(standalone_args) \
		--install-scripts=$(DESTDIR)$(prefix)/bin \
		--prefix=$(DESTDIR)$(prefix) \
		--force && \
	rm -f $(PYTHON_SITE)/git_cola*
	rmdir -p $(PYTHON_SITE) 2>/dev/null || true
	(cd $(DESTDIR)$(prefix)/bin && \
	! test -e cola && ln -s git-cola cola) || true

# Maintainer's dist target
COLA_TARNAME=cola-$(COLA_VERSION)
dist: all
	git archive --format=tar \
		--prefix=$(COLA_TARNAME)/ HEAD^{tree} > $(COLA_TARNAME).tar
	@mkdir -p $(COLA_TARNAME)/cola
	@cp cola/builtin_version.py $(COLA_TARNAME)/cola
	@cp cola/builtin_version.py $(COLA_TARNAME)/version
	$(TAR) rf $(COLA_TARNAME).tar \
		$(COLA_TARNAME)/version \
		$(COLA_TARNAME)/cola/builtin_version.py
	@$(RM) -r $(COLA_TARNAME)
	gzip -f -9 $(COLA_TARNAME).tar

doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) all

html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) html

install-doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install

install-html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install-html

uninstall:
	rm -rf  $(DESTDIR)$(prefix)/bin/git-cola \
		$(DESTDIR)$(prefix)/bin/cola \
		$(DESTDIR)$(prefix)/share/applications/cola.desktop \
		$(DESTDIR)$(prefix)/share/git-cola \
		$(DESTDIR)$(prefix)/share/doc/git-cola

test_flags	:=
all_test_flags	?= --with-doctest \
		   --exclude=jsonpickle \
		   --exclude=simplejson \
		   $(test_flags)

test: all
	@env PYTHONPATH="$(CURDIR)":"$(PYTHONPATH)" \
	nosetests $(all_test_flags)

coverage:
	@env PYTHONPATH=$(CURDIR):$(PYTHONPATH) \
	nosetests $(all_test_flags) \
		--with-coverage --cover-package=cola

clean:
	$(MAKE) -C share/doc/git-cola clean
	find . -name .noseids -print0 | xargs -0 rm -f
	find . -name '*.py[co]' -print0 | xargs -0 rm -f
	find share -name '*.qm' -print0 | xargs -0 rm -f
	rm -rf cola/builtin_version.* build dist tmp tags git-cola.app

tags:
	ctags cola/*.py cola/*/*.py

.PHONY: all install doc install-doc install-html test clean darwin git-cola.app

=== share/doc/git-cola/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 prefix ?= $(CURDIR)
-DESTDIR ?= /
 docdir ?= $(DESTDIR)$(prefix)/share/doc/git-cola
 htmldir ?= $(docdir)/html
+COLA_RELEASE	?= $(shell sh -c "git describe --abbrev=4 --match='v*.*' | sed -e s,^v,,")
+COLA_VERSION	?= $(shell sh -c "git tag | tail -1 | sed -e s,^v,,")
 RSYNC ?= rsync
 # Makefile for Sphinx documentation
 #
@@ -32,35 +33,41 @@
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf _build/*
+	-rm -rf conf.py _build
+	$(MAKE) -f Makefile.asciidoc clean
 
-html:
+conf.py:
+	cp conf.py.in conf.py
+	perl -p -i -e s,{version},"$(COLA_VERSION)", conf.py
+	perl -p -i -e s,{release},"$(COLA_RELEASE)", conf.py
+
+html: conf.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
-dirhtml:
+dirhtml: conf.py
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in _build/dirhtml."
 
-pickle:
+pickle: conf.py
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
-json:
+json: conf.py
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
-htmlhelp:
+htmlhelp: conf.py
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in _build/htmlhelp."
 
-qthelp:
+qthelp: conf.py
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
@@ -69,14 +76,14 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile _build/qthelp/git-cola.qhc"
 
-latex:
+latex: conf.py
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
 	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
 	      "run these through (pdf)latex."
 
-changes:
+changes: conf.py
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
 	@echo
 	@echo "The overview file is in _build/changes."
@@ -87,7 +94,7 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in _build/linkcheck/output.txt."
 
-doctest:
+doctest: conf.py
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
@@ -100,8 +107,10 @@
 
 install-html: html
 	test  -d $(htmldir) || mkdir -p $(htmldir)
-	$(RSYNC) -ar --progress _build/html/ $(htmldir)/
+	$(RSYNC) -ar --delete _build/html/ $(htmldir)/
 	$(MAKE) -f Makefile.asciidoc install-html
 
 install-man:
 	$(MAKE) -f Makefile.asciidoc install
+
+.PHONY: conf.py

## git-cola 1.4.2.1

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,12 @@
 APP	?= git-cola.app
 APPZIP	?= $(shell darwin/name-tarball.py)
 TAR	?= tar
+TEST_PYTHONPATH	?= "$(CURDIR)":"$(CURDIR)/thirdparty":"$(PYTHONPATH)"
 
 # User customizations
 -include config.mak
 
-ifneq ($(standalone),)
+ifdef standalone
 standalone_args	?= --standalone
 endif
 
@@ -26,7 +27,7 @@
 	find $(APP) -name '*_debug*' | xargs rm -f
 	tar cjf $(APPZIP) $(APP)
 
-install:
+install: all
 	$(PYTHON) setup.py --quiet install \
 		$(standalone_args) \
 		--install-scripts=$(DESTDIR)$(prefix)/bin \
@@ -38,7 +39,7 @@
 	! test -e cola && ln -s git-cola cola) || true
 
 # Maintainer's dist target
-COLA_TARNAME=cola-$(COLA_VERSION)
+COLA_TARNAME ?= cola-$(COLA_VERSION)
 dist: all
 	git archive --format=tar \
 		--prefix=$(COLA_TARNAME)/ HEAD^{tree} > $(COLA_TARNAME).tar
@@ -71,28 +72,30 @@
 		$(DESTDIR)$(prefix)/share/doc/git-cola
 
 test_flags	:=
-all_test_flags	?= --with-doctest \
-		   --exclude=jsonpickle \
-		   --exclude=simplejson \
-		   $(test_flags)
+all_test_flags	?= --with-doctest $(test_flags)
 
 test: all
-	@env PYTHONPATH="$(CURDIR)":"$(PYTHONPATH)" \
+	@env PYTHONPATH="$(TEST_PYTHONPATH)" \
 	nosetests $(all_test_flags)
 
 coverage:
-	@env PYTHONPATH=$(CURDIR):$(PYTHONPATH) \
-	nosetests $(all_test_flags) \
-		--with-coverage --cover-package=cola
+	@env PYTHONPATH="$(TEST_PYTHONPATH)" \
+	nosetests --with-coverage --cover-package=cola $(all_test_flags)
 
 clean:
 	$(MAKE) -C share/doc/git-cola clean
 	find . -name .noseids -print0 | xargs -0 rm -f
 	find . -name '*.py[co]' -print0 | xargs -0 rm -f
-	find share -name '*.qm' -print0 | xargs -0 rm -f
 	rm -rf cola/builtin_version.* build dist tmp tags git-cola.app
+	rm -rf share/locale
 
 tags:
-	ctags cola/*.py cola/*/*.py
+	ctags cola/*.py cola/*/*.py test/*.py
 
-.PHONY: all install doc install-doc install-html test clean darwin git-cola.app
+pot:
+	$(PYTHON) setup.py build_pot -N -d .
+
+mo:
+	$(PYTHON) setup.py build_mo -f
+
+.PHONY: all install doc install-doc install-html test clean darwin git-cola.app tags

=== debian/changelog ===
git-cola (1.4.2.1-1) unstable; urgency=low

  * New upstream version. 

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 25 May 2010 21:10:29 +0100

git-cola (1.4.2-1) unstable; urgency=low

  * New upstream version.
    + See share/doc/relnotes.rst for more information.
  * Drop setuppy.patch (merged upstream).
  * Rewrite debian/rules.
  * Switch to 3.0 (quilt) source format.
  * Remove README.source.  It is not needed anymore (3.0 (quilt) source
    format).
  * Remove quilt build-dependency.
  * Update debian/copyright years.
  * Drop fix_doc_file.patch (merged upstream).
  * Add python-nose to Build-Depends.
  * Override dh_auto_test.
  * Bump debhelper version to 7.0.50.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 24 Apr 2010 09:17:19 +0100

git-cola (1.4.1.2-4) unstable; urgency=low

  * Drop the version from the git-core run-time dependency. Closes: #568586
    (The dependency on git-core (>= 1.5) is intended to exclude git from
    etch, for example, but unfortunately git from etch has a version number
    including an epoch.  Since Debian does not support etch-to-squeeze
    upgrades anyway, it is simpler and more obvious to drop the version 
    from the dependency.)
    + Thanks Jonathan Nieder <jrnieder@gmail.com> for the patch.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 07 Apr 2010 15:44:23 +0100

git-cola (1.4.1.2-3) unstable; urgency=low

  * debian/control:
    - git-difftool has been included in git-core and so it's irrelevant
    to mention it in the package description.
      + Thanks Jonathan Nieder <jrnieder@gmail.com> for spotting this.
  * Add fix_doc_file.patch (Closes: #565766); (LP: #539269).
      + cola/resources.py:26: use git-cola.txt instead of the non-existing
      git-cola.html file.

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 19 Mar 2010 18:01:00 +0000

git-cola (1.4.1.2-2) unstable; urgency=low

  * debian/control:
    - Drop the version from the git-core dependency (Closes: #568586).
      + Thanks Jonathan Nieder <jrnieder@gmail.com>
    - Add ${misc:Depends}.
    - DM-Upload-Allowed: yes
    - Bump Std-Ver to 3.8.4 (no changes required).

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 28 Feb 2010 19:59:22 +0000

git-cola (1.4.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/watch: remove "-src"
  * Update debian/copyright.
  * Add quilt.
  * Add setuppy.patch.

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 03 Jan 2010 13:30:17 +0000

git-cola (1.4.1-1) unstable; urgency=low

  * New upstream version.
    + Loads of fixes.  See the ChangeLog for details.
  * Update debian/copyright.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 05 Dec 2009 11:02:56 +0000

git-cola (1.4.0.4-1) unstable; urgency=low

  * New upstream version.
  * Fixed:
    - W: git-cola: non-standard-dir-in-usr usr/libexec/
    - W: git-cola: file-in-unusual-dir usr/libexec/git-cola/ssh-askpass
  * debian/control:
    - Remove XB-Python-Version: ${python:Versions} as it's not needed
      with pysupport.
    - B-D-I on python instead of python-all-dev.

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 15 Nov 2009 16:14:41 +0000

git-cola (1.4.0-1) unstable; urgency=low

  * New upstream version (Closes: #554849).
    - Updates since v1.3.9
      + The main GUI is flexible and user-configurable
      + Individual widgets can be detached and rearranged arbitrarily
      + Add an interface for creating tags
      + Provide a fallback SSH_ASKPASS implementation to prompt for SSH 
        passwords on fetch/push/pull
      + Inherit the window manager's font settings
      + The commit message editor displays the current row/column and warns
        when lines get too long
      + The cola classic widget displays upstream changes
      + 'git cola --classic' launches cola classic in standalone mode
      + Provide more information in log messages
      + Miscellaneous PyQt4 bug fixes and workarounds

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 31 Oct 2009 15:15:31 +0000

git-cola (1.3.9.14-1) unstable; urgency=low

  * New upstream version.
  * debian/control: 
    - Bump Standards-Version to 3.8.3; no changes required.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 15 Aug 2009 23:37:40 +0100

git-cola (1.3.8-1) unstable; urgency=low

  * New upstream version.
    + setup.py: launch `pyuic4` with 'sh -c' to work around old pyuic4 bugs.
      Older versions of pyuic4 were implemented as a shell script instead
      of as python script.  Interestingly, an older version existed
      that didn't have a '#!/bin/sh' shebang line.
      Use 'sh -c' to accommodate both current and older, buggy pyuic4s.
  * debian/control:
    - Add xxdiff to Recommends (LP: #386259).
    - Add python-sphinx and rsync to Build-Depends-Indep.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 14 Jun 2009 11:11:00 +0100

git-cola (1.3.7.45-2) unstable; urgency=low

  * Remove git-difftool.1 symlink.  dpkg is trying to overwrite
    `/usr/share/man/man1/git-difftool.1.gz', which is also in package
    git-core (Closes: #528128).

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 11 May 2009 06:34:40 +0100

git-cola (1.3.7.45-1) unstable; urgency=low

  * New upstream version.
    + inotify: fix a bug when exiting cola
    + docs: remove git-difftool.txt and update git-cola.txt
    + models: do not flag deleted files as modified 
    + setup.py: add the private cola.models module
    + observable: use the current model's notify value when cloning
    + models: fix a bug in clone()
  * Remove {cola,git-difftool}.pod and manpages.
  * Add links file.
  * Update rules.

 -- Iulian Udrea <iulian@ubuntu.com>  Thu, 07 May 2009 06:44:29 +0100

git-cola (1.3.7.21-1) unstable; urgency=low

  * New upstream version.
  * Fix symlink (/usr/bin/git-difftool--helper).

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 28 Apr 2009 18:28:44 +0100

git-cola (1.3.7.6-1) unstable; urgency=low

  * New upstream version.
    + install private modules to /usr/share (Closes: #519972)
  * debian/control:
    - change Section to vcs



=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Iulian Udrea <iulian@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), python-nose
Build-Depends-Indep: python, python-support (>= 0.5.3), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 3.8.4
Homepage: http://cola.tuxfamily.org/
XS-Python-Version: all
Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

Package: git-cola
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core
Recommends: gitk, xxdiff
Suggests: python-pyinotify, python-simplejson
Description: highly caffeinated git gui
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=git-cola

override_dh_auto_test:

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	[ ! -f Makefile ] || $(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(package) prefix=/usr install install-doc install-html
	find . -name "*.pyc" -delete

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installmenu
	dh_pysupport
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install override_dh_auto_test

## git-cola 1.4.2.3

=== debian/changelog ===
git-cola (1.4.2.3-1) unstable; urgency=low
 
  * New upstream version.
  * debian/control: single line synopsis: gui -> GUI.  Closes: #585947.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 15 Jun 2010 19:17:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python, python-support (>= 0.5.3), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://cola.tuxfamily.org/
 XS-Python-Version: all
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
@@ -16,7 +16,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core
 Recommends: gitk, xxdiff
 Suggests: python-pyinotify, python-simplejson
-Description: highly caffeinated git gui
+Description: highly caffeinated git GUI
  Git-cola is a git GUI optimized for working with the git index. 
  .
  Git-cola can compare arbitrary commits using standard merge tools.

## git-cola 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 prefix	?= $(HOME)
 PYTHON	?= python
-PYTHON_VER	?= $(shell $(PYTHON) -c 'import platform; print platform.python_version()[:3]')
-PYTHON_SITE	?= $(DESTDIR)$(prefix)/lib/python$(PYTHON_VER)/site-packages
+PYTHON_VER	?= $(shell $(PYTHON) -c 'import platform; print(platform.python_version()[:3])')
+PYTHON_LIB	?= $(shell $(PYTHON) -c 'import os.path as p; import distutils.sysconfig as sc; print(p.basename(sc.get_config_var("LIBDIR")))')
+PYTHON_SITE	?= $(DESTDIR)$(prefix)/$(PYTHON_LIB)/python$(PYTHON_VER)/site-packages
 COLA_VERSION	?= $(shell git describe --match='v*.*' | sed -e s/v//)
 APP	?= git-cola.app
-APPZIP	?= $(shell darwin/name-tarball.py)
 TAR	?= tar
 TEST_PYTHONPATH	?= "$(CURDIR)":"$(CURDIR)/thirdparty":"$(PYTHONPATH)"
 
@@ -18,14 +18,13 @@
 all:
 	$(PYTHON) setup.py build
 
-darwin: all
-	$(PYTHON) darwin/py2app-setup.py py2app
-
-$(APP): darwin
-	rm -rf $(APP)
-	mv dist/$(APP) $(CURDIR)
-	find $(APP) -name '*_debug*' | xargs rm -f
-	tar cjf $(APPZIP) $(APP)
+git-cola.app:
+	mkdir -p $(APP)/Contents/MacOS
+	cp darwin/git-cola $(APP)/Contents/MacOS
+	cp darwin/Info.plist darwin/PkgInfo $(APP)/Contents
+	$(MAKE) prefix=$(APP)/Contents/Resources install
+	cp darwin/git-cola.icns $(APP)/Contents/Resources
+	$(TAR) czf $(APP)-$(COLA_VERSION).tar.gz $(APP)
 
 install: all
 	$(PYTHON) setup.py --quiet install \
@@ -98,4 +97,4 @@
 mo:
 	$(PYTHON) setup.py build_mo -f
 
-.PHONY: all install doc install-doc install-html test clean darwin git-cola.app tags
+.PHONY: all install doc install-doc install-html test clean tags git-cola.app

=== share/doc/git-cola/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 prefix ?= $(CURDIR)
 docdir ?= $(DESTDIR)$(prefix)/share/doc/git-cola
 htmldir ?= $(docdir)/html
-COLA_RELEASE	?= $(shell sh -c "git describe --abbrev=4 --match='v*.*' | sed -e s,^v,,")
-COLA_VERSION	?= $(shell sh -c "git tag | tail -1 | sed -e s,^v,,")
+SED ?= sed
+COLA_VERSION	?= $(shell sh -c "git tag | tail -1 | $(SED) -e s,^v,,")
+COLA_RELEASE	?= $(shell sh -c "git describe --abbrev=4 --match='v*.*' | $(SED) -e s,^v,,")
 RSYNC ?= rsync
 # Makefile for Sphinx documentation
 #
@@ -36,10 +37,11 @@
 	-rm -rf conf.py _build
 	$(MAKE) -f Makefile.asciidoc clean
 
-conf.py:
-	cp conf.py.in conf.py
-	perl -p -i -e s,{version},"$(COLA_VERSION)", conf.py
-	perl -p -i -e s,{release},"$(COLA_RELEASE)", conf.py
+conf.py: conf.py.in
+	$(SED) \
+		-e "s,@@VERSION@@,$(COLA_VERSION)," \
+		-e "s,@@RELEASE@@,$(COLA_RELEASE)," \
+	conf.py.in > conf.py
 
 html: conf.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html

=== debian/changelog ===
git-cola (1.4.3-1) experimental; urgency=low

  * New upstream release.
    + git-dag beta™ now has a separate display area for displaying commit
    metadata. This area will soon grow additional functionality such as
    cherry-picking, branching, etc.
    + Fixed tests from a previous refactoring.
    + Guard against ‘diff.external’ configuration by always calling ‘git diff’
    with the ‘–no-ext-diff’ option
    (http://github.com/davvid/git-cola/issues/closed#issue/67).
    + Respect ‘gui.diffcontext’ so that cola’s diff display shows the correct
    number of context lines.
  * Use JQuery from the Debian package:
    - Add libjs-jquery as a dependency.
    - Add symlink from /usr/share/javascript/jquery/jquery.js to 
    /usr/share/doc/git-cola/html/_static/jquery.js.
  * Don't compress objects.inv.  Thanks Michael Fladischer <michael@fladi.at>
    (Closes: #608752).

 -- Iulian Udrea <iulian@linux.com>  Mon, 03 Jan 2011 13:48:51 +0000

git-cola (1.4.2.5-1) experimental; urgency=low

  * New upstream release.
    + Clicking on paths in the status widget copies them into the copy/paste
    buffer for easy middle-clicking into terminals.
    + Ctrl+C in diff viewer copies the selected diff to the clipboard.
    + Fixed the disappearing actions buttons on PyQt 4.7.4 as reported by Arch
    and Ubuntu 10.10. (Launchpad: #660363, #656539)
    (http://github.com/davvid/git-cola/issues/closed#issue/62).
    + Fixed mouse interaction with the status widget where some items could
    not be de-selected.
    + Removed hard-coded reference to lib/ when calculating Python’s
    site-packages directory.

 -- Iulian Udrea <iulian@linux.com>  Thu, 28 Oct 2010 16:25:52 +0100

git-cola (1.4.2.4-1) experimental; urgency=low

  * New upstream release.
    + Removed “single-click to (un)stage” in the status view.
    + Added ability to create unsigned, annotated tags.
    + Updated documentation to use cola.git instead of cola.gitcmd.
  * Change my e-mail address.
  * Include BSD license text in debian/copyright rather than referencing
    /usr/share/common-licenses/BSD.

 -- Iulian Udrea <iulian@linux.com>  Sun, 05 Sep 2010 13:31:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: git-cola
 Section: vcs
 Priority: optional
-Maintainer: Iulian Udrea <iulian@ubuntu.com>
+Maintainer: Iulian Udrea <iulian@linux.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python, python-support (>= 0.5.3), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
@@ -13,7 +13,7 @@
 
 Package: git-cola
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core
+Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery
 Recommends: gitk, xxdiff
 Suggests: python-pyinotify, python-simplejson
 Description: highly caffeinated git GUI

=== debian/rules ===
--- 
+++ 
@@ -39,9 +39,10 @@
 	dh_installman
 	dh_installmenu
 	dh_pysupport
-	dh_link
+	dh_link /usr/share/javascript/jquery/jquery.js \
+		/usr/share/doc/git-cola/html/_static/jquery.js
 	dh_strip
-	dh_compress
+	dh_compress -Xobjects.inv
 	dh_fixperms
 	dh_perl
 	dh_installdeb

=== debian/watch ===
version=3
http://cola.tuxfamily.org/releases/cola-(.*)\.tar\.gz

## git-cola 1.4.3.2

=== debian/changelog ===
git-cola (1.4.3.2-1) unstable; urgency=low

  * New upstream release.
    + setup.py: Fix installation of translations.  Closes: #619087.

 -- Iulian Udrea <iulian@linux.com>  Mon, 18 Apr 2011 19:46:22 +0100

git-cola (1.4.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Iulian Udrea <iulian@linux.com>  Sun, 06 Feb 2011 16:21:23 +0000

## git-cola 1.4.3.4

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,6 @@
 
 all:
 	$(PYTHON) setup.py build
-
-git-cola.app:
-	mkdir -p $(APP)/Contents/MacOS
-	cp darwin/git-cola $(APP)/Contents/MacOS
-	cp darwin/Info.plist darwin/PkgInfo $(APP)/Contents
-	$(MAKE) prefix=$(APP)/Contents/Resources install
-	cp darwin/git-cola.icns $(APP)/Contents/Resources
-	$(TAR) czf $(APP)-$(COLA_VERSION).tar.gz $(APP)
 
 install: all
 	$(PYTHON) setup.py --quiet install \
@@ -97,4 +89,15 @@
 mo:
 	$(PYTHON) setup.py build_mo -f
 
-.PHONY: all install doc install-doc install-html test clean tags git-cola.app
+git-cola.app:
+	mkdir -p $(APP)/Contents/MacOS
+	cp darwin/git-cola $(APP)/Contents/MacOS
+	cp darwin/Info.plist darwin/PkgInfo $(APP)/Contents
+	$(MAKE) prefix=$(APP)/Contents/Resources install
+	cp darwin/git-cola.icns $(APP)/Contents/Resources
+
+app-tarball: git-cola.app
+	$(TAR) czf git-cola-$(COLA_VERSION).app.tar.gz $(APP)
+
+.PHONY: all install doc install-doc install-html test clean tags
+.PHONY: git-cola.app app-tarball

=== debian/changelog ===
git-cola (1.4.3.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2; no changes required.

 -- Iulian Udrea <iulian@linux.com>  Tue, 05 Jul 2011 20:20:28 +0100

## git-cola 1.4.3.5

=== Makefile ===
# The default target of this Makefile is...
all::

# The external commands used by this Makefile are...
GIT = git
NOSETESTS = nosetests
PYTHON = python
TAR = tar

# These values can be overridden on the command-line or via config.mak
prefix = $(HOME)
bindir = $(prefix)/bin
# DESTDIR =

cola_app = git-cola.app
cola_version = $(shell env TERM=dummy $(PYTHON) cola/version.py)
cola_dist := cola-$(cola_version)

python_path = $(CURDIR):$(CURDIR)/thirdparty:$(PYTHONPATH)
python_version = $(shell env TERM=dummy $(PYTHON) -c 'import distutils.sysconfig as sc; print(sc.get_python_version())')
python_site := $(prefix)/lib*/python$(python_version)/site-packages

test_flags =
all_test_flags = --with-doctest $(test_flags)

# User customizations
-include config.mak

ifdef standalone
standalone_args	?= --standalone
endif


all::
	$(PYTHON) setup.py build

install: all
	$(PYTHON) setup.py --quiet install \
		$(standalone_args) \
		--prefix=$(DESTDIR)$(prefix) \
		--install-scripts=$(DESTDIR)$(bindir) \
		--force && \
	rm -f $(DESTDIR)$(python_site)/git_cola*
	rmdir -p $(DESTDIR)$(python_site) 2>/dev/null || true
	(cd $(DESTDIR)$(bindir) && \
	! test -e cola && ln -s git-cola cola) || true

# Maintainer's dist target
dist: all
	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} \
		>$(cola_dist).tar
	mkdir -p $(cola_dist)/cola
	cp cola/builtin_version.py $(cola_dist)/cola
	echo $(cola_version) > $(cola_dist)/version
	$(TAR) rf $(cola_dist).tar \
		$(cola_dist)/version \
		$(cola_dist)/cola/builtin_version.py
	rm -r $(cola_dist)
	gzip -f -9 $(cola_dist).tar

doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) all

html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) html

install-doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install

install-html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install-html

uninstall:
	rm -rf  $(DESTDIR)$(prefix)/bin/git-cola \
		$(DESTDIR)$(prefix)/bin/cola \
		$(DESTDIR)$(prefix)/share/applications/cola.desktop \
		$(DESTDIR)$(prefix)/share/git-cola \
		$(DESTDIR)$(prefix)/share/doc/git-cola

test: all
	@env PYTHONPATH=$(python_path) \
	$(NOSETESTS) $(all_test_flags)

coverage:
	@env PYTHONPATH=$(python_path) \
	$(NOSETESTS) --with-coverage --cover-package=cola $(all_test_flags)

clean:
	$(MAKE) -C share/doc/git-cola clean
	find . -name .noseids -print0 | xargs -0 rm -f
	find . -name '*.py[co]' -print0 | xargs -0 rm -f
	rm -rf build dist tmp tags git-cola.app
	rm -rf share/locale

tags:
	find . -name '*.py' -print0 | xargs -0 ctags -f tags

pot:
	$(PYTHON) setup.py build_pot -N -d .

mo:
	$(PYTHON) setup.py build_mo -f

git-cola.app:
	mkdir -p $(cola_app)/Contents/MacOS
	cp darwin/git-cola $(cola_app)/Contents/MacOS
	cp darwin/Info.plist darwin/PkgInfo $(cola_app)/Contents
	$(MAKE) prefix=$(cola_app)/Contents/Resources install
	cp darwin/git-cola.icns $(cola_app)/Contents/Resources

app-tarball: git-cola.app
	$(TAR) czf git-cola-$(cola_version).app.tar.gz $(cola_app)

.PHONY: all install doc install-doc install-html test clean tags
.PHONY: git-cola.app app-tarball

=== debian/changelog ===
git-cola (1.4.3.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright years.

 -- Iulian Udrea <iulian@linux.com>  Thu, 01 Sep 2011 23:56:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python, python-support (>= 0.5.3), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://cola.tuxfamily.org/
 XS-Python-Version: all
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git

## git-cola 1.8.0

=== debian/changelog ===
git-cola (1.8.0-1) unstable; urgency=low

  * New maintainer (closes: #690182).
  * New upstream release (closes:  #688669).
  * Move from dh_pysupport to dh_python2 .
  * Update homepage field, watch file and Standards-Version to 3.9.3 .
  * Use the packaged jQuery and Underscore javascript libraries.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 16 Oct 2012 20:37:56 +0200

=== debian/watch ===
version=3
https://github.com/git-cola/git-cola/tags /git-cola/git-cola/tarball/v(.+)

## git-cola 1.8.1

=== Makefile ===
# The default target of this Makefile is...
all::

# The external commands used by this Makefile are...
GIT = git
NOSETESTS = nosetests
PYTHON = python
TAR = tar
CTAGS = ctags

# These values can be overridden on the command-line or via config.mak
prefix = $(HOME)
bindir = $(prefix)/bin
coladir = $(prefix)/share/git-cola/lib
darwin_python = /System/Library/Frameworks/Python.framework/Resources/Python.app/Contents/MacOS/Python
# DESTDIR =

cola_base := git-cola
cola_app_base= $(cola_base).app
cola_app = $(CURDIR)/$(cola_app_base)
cola_version = $(shell env TERM=dummy $(PYTHON) cola/version.py)
cola_dist := $(cola_base)-$(cola_version)

test_flags =
all_test_flags = --with-doctest --exclude=sphinxtogithub $(test_flags)

# User customizations
-include config.mak

setup_args = --prefix=$(prefix)
setup_args += --quiet
setup_args += --force
setup_args += --install-scripts=$(bindir)
setup_args += --record=build/MANIFEST
setup_args += --install-lib=$(coladir)
ifdef DESTDIR
    setup_args += --root=$(DESTDIR)
endif

all::
	$(PYTHON) setup.py build

install: all
	$(PYTHON) setup.py install $(setup_args)
	(cd $(DESTDIR)$(bindir) && \
	! test -e cola && ln -s git-cola cola) || true
	rm -rf $(DESTDIR)$(coladir)/git_cola*
	rm -rf git_cola.egg-info

# Maintainer's dist target
dist:
	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
		gzip -f -9 - >$(cola_dist).tar.gz

doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) all

html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) html

install-doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install

install-html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install-html

uninstall:
	rm -rf  $(DESTDIR)$(prefix)/bin/git-cola \
		$(DESTDIR)$(prefix)/bin/git-dag \
		$(DESTDIR)$(prefix)/bin/cola \
		$(DESTDIR)$(prefix)/share/applications/git-cola.desktop \
		$(DESTDIR)$(prefix)/share/applications/git-dag.desktop \
		$(DESTDIR)$(prefix)/share/git-cola \
		$(DESTDIR)$(prefix)/share/doc/git-cola
	rm -f $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES/git-cola.mo
	rmdir $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null || true
	rmdir $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null || true
	rmdir $(DESTDIR)$(prefix)/share/locale 2>/dev/null || true
	rmdir $(DESTDIR)$(prefix)/share/doc 2>/dev/null || true
	rmdir $(DESTDIR)$(prefix)/share/applications 2>/dev/null || true
	rmdir $(DESTDIR)$(prefix)/share 2>/dev/null || true
	rmdir $(DESTDIR)$(prefix)/bin 2>/dev/null || true
	rmdir $(DESTDIR)$(prefix) 2>/dev/null || true

test: all
	$(NOSETESTS) $(all_test_flags)

coverage:
	$(NOSETESTS) --with-coverage --cover-package=cola $(all_test_flags)

clean:
	$(MAKE) -C share/doc/git-cola clean
	find . -name .noseids -print0 | xargs -0 rm -f
	find . -name '*.py[co]' -print0 | xargs -0 rm -f
	rm -rf build dist tmp tags git-cola.app
	rm -rf share/locale

tags:
	find . -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags

pot:
	$(PYTHON) setup.py build_pot -N -d .

mo:
	$(PYTHON) setup.py build_mo -f

git-cola.app:
	mkdir -p $(cola_app)/Contents/MacOS
	mkdir -p $(cola_app)/Contents/Resources
	cp darwin/git-cola $(cola_app)/Contents/MacOS
	cp darwin/Info.plist darwin/PkgInfo $(cola_app)/Contents
	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
	cp darwin/git-cola.icns $(cola_app)/Contents/Resources
	ln -sf $(darwin_python) $(cola_app)/Contents/Resources/git-cola

app-tarball: git-cola.app
	$(TAR) czf $(cola_dist).app.tar.gz $(cola_app_base)

.PHONY: all install doc install-doc install-html test clean tags
.PHONY: git-cola.app app-tarball

=== debian/changelog ===
git-cola (1.8.1-1) unstable; urgency=low

  * New upstream release.

  [ Bart Martens <bartm@debian.org> ]
  * Refine watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 15 Dec 2012 01:37:55 +0100

=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 7.0.50), python-nose
Build-Depends-Indep: python (>= 2.6.6-3~), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 3.9.3
Homepage: http://git-cola.github.com/
Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

Package: git-cola
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery, libjs-underscore
Recommends: gitk, xxdiff
Suggests: python-pyinotify, python-simplejson
Description: highly caffeinated git GUI
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.

## git-cola 1.8.2

=== debian/changelog ===
git-cola (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.4 , no changes needed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 02 Mar 2013 17:46:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python (>= 2.6.6-3~), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://git-cola.github.com/
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

## git-cola 1.8.3

=== Makefile ===
# The default target of this Makefile is...
all::

# The external commands used by this Makefile are...
CTAGS = ctags
CP = cp
FIND = find
GIT = git
GZIP = gzip
LN = ln
MKDIR_P = mkdir -p
NOSETESTS = nosetests
PYTHON = python
RM = rm -f
RM_R = rm -fr
RMDIR = rmdir
TAR = tar

# These values can be overridden on the command-line or via config.mak
prefix = $(HOME)
bindir = $(prefix)/bin
coladir = $(prefix)/share/git-cola/lib
darwin_python = /System/Library/Frameworks/Python.framework/Resources/Python.app/Contents/MacOS/Python
# DESTDIR =

cola_base := git-cola
cola_app_base= $(cola_base).app
cola_app = $(CURDIR)/$(cola_app_base)
cola_version = $(shell env TERM=dummy $(PYTHON) cola/version.py)
cola_dist := $(cola_base)-$(cola_version)

test_flags =
all_test_flags = --with-doctest --exclude=sphinxtogithub $(test_flags)

# User customizations
-include config.mak

setup_args = --prefix=$(prefix)
setup_args += --quiet
setup_args += --force
setup_args += --install-scripts=$(bindir)
setup_args += --record=build/MANIFEST
setup_args += --install-lib=$(coladir)
ifdef DESTDIR
    setup_args += --root=$(DESTDIR)
    export DESTDIR
endif

all::
	$(PYTHON) setup.py build

install: all
	$(PYTHON) setup.py install $(setup_args)
	(cd $(DESTDIR)$(bindir) && \
	! test -e cola && $(LN) -s git-cola cola) || true
	$(RM_R) $(DESTDIR)$(coladir)/git_cola*
	$(RM_R) git_cola.egg-info

# Maintainer's dist target
dist:
	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
		$(GZIP) -f -9 - >$(cola_dist).tar.gz

doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) all

html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) html

install-doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install

install-html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install-html

uninstall:
	$(RM) $(DESTDIR)$(prefix)/bin/git-cola
	$(RM) $(DESTDIR)$(prefix)/bin/git-dag
	$(RM) $(DESTDIR)$(prefix)/bin/cola
	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola.desktop
	$(RM) $(DESTDIR)$(prefix)/share/applications/git-dag.desktop
	$(RM_R) $(DESTDIR)$(prefix)/share/git-cola
	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
	$(RM) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES/git-cola.mo
	$(RMDIR) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/locale 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/bin 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix) 2>/dev/null || true

test: all
	$(NOSETESTS) $(all_test_flags)

coverage:
	$(NOSETESTS) --with-coverage --cover-package=cola $(all_test_flags)

clean:
	$(MAKE) -C share/doc/git-cola clean
	$(FIND) . -name .noseids -print0 | xargs -0 rm -f
	$(FIND) . -name '*.py[co]' -print0 | xargs -0 rm -f
	$(RM_R) build dist tmp tags git-cola.app
	$(RM_R) share/locale

tags:
	$(FIND) . -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags

pot:
	$(PYTHON) setup.py build_pot -N -d .

mo:
	$(PYTHON) setup.py build_mo -f

git-cola.app:
	$(MKDIR_P) $(cola_app)/Contents/MacOS
	$(MKDIR_P) $(cola_app)/Contents/Resources
	$(CP) darwin/git-cola $(cola_app)/Contents/MacOS
	$(CP) darwin/Info.plist darwin/PkgInfo $(cola_app)/Contents
	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
	$(CP) darwin/git-cola.icns $(cola_app)/Contents/Resources
	$(LN) -sf $(darwin_python) $(cola_app)/Contents/Resources/git-cola

app-tarball: git-cola.app
	$(TAR) czf $(cola_dist).app.tar.gz $(cola_app_base)

.PHONY: all install doc install-doc install-html test clean tags
.PHONY: git-cola.app app-tarball

=== debian/changelog ===
git-cola (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Fixes FTBFS with Shinx 1.2 due to UnicodeDecodeError (closes: #706580).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 07 May 2013 14:20:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: git-cola
 Section: vcs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python (>= 2.6.6-3~), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
 Standards-Version: 3.9.4

## git-cola 1.9.2

=== debian/changelog ===
git-cola (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Dec 2013 20:26:33 +0100
